import { type Plugin, type CSSProperties, type PropType, type ExtractPropTypes } from 'vue';
import 'ant-design-vue/es/layout/style';
import type { BreadcrumbProps } from './RouteContext';
import type { CustomRender, FormatMessage, WithFalse } from './typings';
import type { HeaderContentRender, HeaderRender, FooterRender, TabRender, RightContentRender, MenuItemRender, SubMenuItemRender, MenuContentRender, MenuFooterRender, MenuExtraRender, MenuHeaderRender } from './RenderTypings';
import './BasicLayout.less';
export declare const basicLayoutProps: {
    pure: BooleanConstructor;
    loading: BooleanConstructor;
    locale: {
        type: PropType<WithFalse<FormatMessage>>;
        default(): (s: string) => string;
    };
    /**
     * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
     */
    disableMobile: {
        type: BooleanConstructor;
        required: boolean;
    };
    isChildrenLayout: {
        type: BooleanConstructor;
        required: boolean;
    };
    /**
     * 兼用 content 的 margin
     */
    disableContentMargin: {
        type: BooleanConstructor;
        required: boolean;
    };
    colSize: {
        type: NumberConstructor;
        required: boolean;
    };
    contentStyle: {
        type: PropType<CSSProperties>;
        default: () => null;
    };
    breadcrumb: {
        type: PropType<BreadcrumbProps>;
        default: () => null;
    };
    collapsedButtonRender: {
        type: PropType<WithFalse<(collapsed?: boolean | undefined) => CustomRender>>;
        default: () => undefined;
    };
    breadcrumbRender: {
        type: PropType<((opts: {
            route: import("./RouteContext").Route;
            params: any;
            routes: import("./RouteContext").Route[];
            paths: string[];
        }) => import("vue").VNodeChild) | undefined>;
        default: () => null;
    };
    headerContentRender: {
        type: PropType<HeaderContentRender>;
        default: () => undefined;
    };
    headerRender: {
        type: PropType<HeaderRender>;
        default: () => undefined;
    };
    footerRender: {
        type: PropType<FooterRender>;
        default: () => undefined;
    };
    tabRender: {
        type: PropType<TabRender>;
        default: () => undefined;
    };
    headerTitleRender: {
        type: PropType<WithFalse<(props: any, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("./RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<import("./typings").Theme>;
        default: string;
    };
    menuData: {
        type: PropType<import("./typings").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<RightContentRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<import("./typings").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">; /**
         * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
         */
        default: string;
    };
    contentWidth: {
        type: PropType<import("./typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
    collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    menuFooterRender: {
        type: PropType<MenuFooterRender>;
        default: () => undefined;
    };
    menuContentRender: {
        type: PropType<MenuContentRender>;
        default: () => undefined;
    };
    menuExtraRender: {
        type: PropType<MenuExtraRender>;
        default: () => undefined;
    };
    breakpoint: {
        type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
        default: () => boolean;
    };
    fixed: import("vue-types").VueTypeValidableDef<boolean>;
    hide: import("vue-types").VueTypeValidableDef<boolean>;
    onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    mode: {
        type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("./typings").Theme | "realDark">;
        default: string;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    onClick: PropType<(...args: any) => void>;
};
export declare type BasicLayoutProps = Partial<ExtractPropTypes<typeof basicLayoutProps>>;
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{}> & Omit<Readonly<Partial<ExtractPropTypes<{
            pure: BooleanConstructor;
            loading: BooleanConstructor;
            locale: {
                type: PropType<WithFalse<FormatMessage>>;
                default(): (s: string) => string;
            };
            /**
             * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
             */
            disableMobile: {
                type: BooleanConstructor;
                required: boolean;
            };
            isChildrenLayout: {
                type: BooleanConstructor;
                required: boolean;
            };
            /**
             * 兼用 content 的 margin
             */
            disableContentMargin: {
                type: BooleanConstructor;
                required: boolean;
            };
            colSize: {
                type: NumberConstructor;
                required: boolean;
            };
            contentStyle: {
                type: PropType<CSSProperties>;
                default: () => null;
            };
            breadcrumb: {
                type: PropType<BreadcrumbProps>;
                default: () => null;
            };
            collapsedButtonRender: {
                type: PropType<WithFalse<(collapsed?: boolean | undefined) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            breadcrumbRender: {
                type: PropType<((opts: {
                    route: import("./RouteContext").Route;
                    params: any;
                    routes: import("./RouteContext").Route[];
                    paths: string[];
                }) => import("vue").VNodeChild) | undefined>;
                default: () => null;
            };
            headerContentRender: {
                type: PropType<HeaderContentRender>;
                default: () => undefined;
            };
            headerRender: {
                type: PropType<HeaderRender>;
                default: () => undefined;
            };
            footerRender: {
                type: PropType<FooterRender>;
                default: () => undefined;
            };
            tabRender: {
                type: PropType<TabRender>;
                default: () => undefined;
            };
            headerTitleRender: {
                type: PropType<WithFalse<(props: any, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
            siderWidth: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            } & {
                default: number;
            };
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            collapsed: import("vue-types").VueTypeValidableDef<boolean>;
            isMobile: import("vue-types").VueTypeValidableDef<boolean>;
            logo: {
                type: PropType<import("./RenderTypings").LogoRender>;
                default: () => undefined;
            };
            logoStyle: {
                type: PropType<CSSProperties>;
                default: () => undefined;
            };
            headerTheme: {
                type: PropType<import("./typings").Theme>;
                default: string;
            };
            menuData: {
                type: PropType<import("./typings").MenuDataItem[]>;
                default: () => never[];
            };
            splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
            menuRender: {
                type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            menuHeaderRender: {
                type: PropType<MenuHeaderRender>;
                default: () => undefined;
            };
            menuItemRender: {
                type: PropType<MenuItemRender>;
                default: () => undefined;
            };
            subMenuItemRender: {
                type: PropType<SubMenuItemRender>;
                default: () => undefined;
            };
            rightContentRender: {
                type: PropType<RightContentRender>;
                default: () => undefined;
            };
            matchMenuKeys: {
                type: PropType<string[]>;
                default: () => never[];
            };
            onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onCollapse: {
                type: PropType<(collapsed: boolean) => void>;
            };
            onOpenKeys: {
                type: PropType<(openKeys: WithFalse<string[]>) => void>;
            };
            onSelect: {
                type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
            };
            navTheme: {
                type: PropType<import("./typings").Theme | "realDark" | undefined>;
                default: string;
            };
            layout: {
                type: PropType<"side" | "top" | "mix">; /**
                 * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
                 */
                default: string;
            };
            contentWidth: {
                type: PropType<import("./typings").ContentWidth>;
                default: string;
            };
            fixedHeader: {
                type: PropType<boolean>;
                default: boolean;
            };
            fixSiderbar: {
                type: PropType<boolean>;
                default: boolean;
            };
            menu: {
                type: PropType<{
                    locale?: boolean | undefined;
                    defaultOpenAll?: boolean | undefined;
                }>;
                default: () => {
                    locale: boolean;
                };
            };
            headerHeight: {
                type: PropType<number | undefined>;
                default: number;
            };
            title: {
                type: PropType<string>;
                default: () => string;
            };
            iconfontUrl: {
                type: PropType<string>;
                default: () => string;
            };
            primaryColor: {
                type: PropType<string>;
                default: () => string;
            };
            collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            } & {
                default: number;
            };
            menuFooterRender: {
                type: PropType<MenuFooterRender>;
                default: () => undefined;
            };
            menuContentRender: {
                type: PropType<MenuContentRender>;
                default: () => undefined;
            };
            menuExtraRender: {
                type: PropType<MenuExtraRender>;
                default: () => undefined;
            };
            breakpoint: {
                type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
                default: () => boolean;
            };
            fixed: import("vue-types").VueTypeValidableDef<boolean>;
            hide: import("vue-types").VueTypeValidableDef<boolean>;
            onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            mode: {
                type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
                default: string;
            };
            theme: {
                type: PropType<import("./typings").Theme | "realDark">;
                default: string;
            };
            openKeys: {
                type: PropType<WithFalse<string[]>>;
                default: () => undefined;
            };
            selectedKeys: {
                type: PropType<WithFalse<string[]>>;
                default: () => undefined;
            };
            menuProps: {
                type: PropType<Record<string, any>>;
                default: () => null;
            };
            onClick: PropType<(...args: any) => void>;
        }>>> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, undefined>;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot | undefined;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
            pure: BooleanConstructor;
            loading: BooleanConstructor;
            locale: {
                type: PropType<WithFalse<FormatMessage>>;
                default(): (s: string) => string;
            };
            /**
             * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
             */
            disableMobile: {
                type: BooleanConstructor;
                required: boolean;
            };
            isChildrenLayout: {
                type: BooleanConstructor;
                required: boolean;
            };
            /**
             * 兼用 content 的 margin
             */
            disableContentMargin: {
                type: BooleanConstructor;
                required: boolean;
            };
            colSize: {
                type: NumberConstructor;
                required: boolean;
            };
            contentStyle: {
                type: PropType<CSSProperties>;
                default: () => null;
            };
            breadcrumb: {
                type: PropType<BreadcrumbProps>;
                default: () => null;
            };
            collapsedButtonRender: {
                type: PropType<WithFalse<(collapsed?: boolean | undefined) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            breadcrumbRender: {
                type: PropType<((opts: {
                    route: import("./RouteContext").Route;
                    params: any;
                    routes: import("./RouteContext").Route[];
                    paths: string[];
                }) => import("vue").VNodeChild) | undefined>;
                default: () => null;
            };
            headerContentRender: {
                type: PropType<HeaderContentRender>;
                default: () => undefined;
            };
            headerRender: {
                type: PropType<HeaderRender>;
                default: () => undefined;
            };
            footerRender: {
                type: PropType<FooterRender>;
                default: () => undefined;
            };
            tabRender: {
                type: PropType<TabRender>;
                default: () => undefined;
            };
            headerTitleRender: {
                type: PropType<WithFalse<(props: any, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
            siderWidth: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            } & {
                default: number;
            };
            prefixCls: import("vue-types").VueTypeValidableDef<string> & {
                default: string;
            } & {
                default: string;
            };
            collapsed: import("vue-types").VueTypeValidableDef<boolean>;
            isMobile: import("vue-types").VueTypeValidableDef<boolean>;
            logo: {
                type: PropType<import("./RenderTypings").LogoRender>;
                default: () => undefined;
            };
            logoStyle: {
                type: PropType<CSSProperties>;
                default: () => undefined;
            };
            headerTheme: {
                type: PropType<import("./typings").Theme>;
                default: string;
            };
            menuData: {
                type: PropType<import("./typings").MenuDataItem[]>;
                default: () => never[];
            };
            splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
            menuRender: {
                type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
                default: () => undefined;
            };
            menuHeaderRender: {
                type: PropType<MenuHeaderRender>;
                default: () => undefined;
            };
            menuItemRender: {
                type: PropType<MenuItemRender>;
                default: () => undefined;
            };
            subMenuItemRender: {
                type: PropType<SubMenuItemRender>;
                default: () => undefined;
            };
            rightContentRender: {
                type: PropType<RightContentRender>;
                default: () => undefined;
            };
            matchMenuKeys: {
                type: PropType<string[]>;
                default: () => never[];
            };
            onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            onCollapse: {
                type: PropType<(collapsed: boolean) => void>;
            };
            onOpenKeys: {
                type: PropType<(openKeys: WithFalse<string[]>) => void>;
            };
            onSelect: {
                type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
            };
            navTheme: {
                type: PropType<import("./typings").Theme | "realDark" | undefined>;
                default: string;
            };
            layout: {
                type: PropType<"side" | "top" | "mix">; /**
                 * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
                 */
                default: string;
            };
            contentWidth: {
                type: PropType<import("./typings").ContentWidth>;
                default: string;
            };
            fixedHeader: {
                type: PropType<boolean>;
                default: boolean;
            };
            fixSiderbar: {
                type: PropType<boolean>;
                default: boolean;
            };
            menu: {
                type: PropType<{
                    locale?: boolean | undefined;
                    defaultOpenAll?: boolean | undefined;
                }>;
                default: () => {
                    locale: boolean;
                };
            };
            headerHeight: {
                type: PropType<number | undefined>;
                default: number;
            };
            title: {
                type: PropType<string>;
                default: () => string;
            };
            iconfontUrl: {
                type: PropType<string>;
                default: () => string;
            };
            primaryColor: {
                type: PropType<string>;
                default: () => string;
            };
            collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
                default: number;
            } & {
                default: number;
            };
            menuFooterRender: {
                type: PropType<MenuFooterRender>;
                default: () => undefined;
            };
            menuContentRender: {
                type: PropType<MenuContentRender>;
                default: () => undefined;
            };
            menuExtraRender: {
                type: PropType<MenuExtraRender>;
                default: () => undefined;
            };
            breakpoint: {
                type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
                default: () => boolean;
            };
            fixed: import("vue-types").VueTypeValidableDef<boolean>;
            hide: import("vue-types").VueTypeValidableDef<boolean>;
            onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
                default: (...args: any[]) => any;
            };
            mode: {
                type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
                default: string;
            };
            theme: {
                type: PropType<import("./typings").Theme | "realDark">;
                default: string;
            };
            openKeys: {
                type: PropType<WithFalse<string[]>>;
                default: () => undefined;
            };
            selectedKeys: {
                type: PropType<WithFalse<string[]>>;
                default: () => undefined;
            };
            menuProps: {
                type: PropType<Record<string, any>>;
                default: () => null;
            };
            onClick: PropType<(...args: any) => void>;
        }>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}, {}, string>, {}> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch<T extends string | ((...args: any) => any)>(source: T, cb: T extends (...args: any) => infer R ? (args_0: R, args_1: R) => any : (...args: any) => any, options?: import("vue").WatchOptions<boolean> | undefined): import("vue").WatchStopHandle;
    } & Readonly<Partial<ExtractPropTypes<{
        pure: BooleanConstructor;
        loading: BooleanConstructor;
        locale: {
            type: PropType<WithFalse<FormatMessage>>;
            default(): (s: string) => string;
        };
        /**
         * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
         */
        disableMobile: {
            type: BooleanConstructor;
            required: boolean;
        };
        isChildrenLayout: {
            type: BooleanConstructor;
            required: boolean;
        };
        /**
         * 兼用 content 的 margin
         */
        disableContentMargin: {
            type: BooleanConstructor;
            required: boolean;
        };
        colSize: {
            type: NumberConstructor;
            required: boolean;
        };
        contentStyle: {
            type: PropType<CSSProperties>;
            default: () => null;
        };
        breadcrumb: {
            type: PropType<BreadcrumbProps>;
            default: () => null;
        };
        collapsedButtonRender: {
            type: PropType<WithFalse<(collapsed?: boolean | undefined) => import("@ant-design-vue/pro-utils").VueNode>>;
            default: () => undefined;
        };
        breadcrumbRender: {
            type: PropType<((opts: {
                route: import("./RouteContext").Route;
                params: any;
                routes: import("./RouteContext").Route[];
                paths: string[];
            }) => import("vue").VNodeChild) | undefined>;
            default: () => null;
        };
        headerContentRender: {
            type: PropType<HeaderContentRender>;
            default: () => undefined;
        };
        headerRender: {
            type: PropType<HeaderRender>;
            default: () => undefined;
        };
        footerRender: {
            type: PropType<FooterRender>;
            default: () => undefined;
        };
        tabRender: {
            type: PropType<TabRender>;
            default: () => undefined;
        };
        headerTitleRender: {
            type: PropType<WithFalse<(props: any, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
            default: () => undefined;
        };
        hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
        siderWidth: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        } & {
            default: number;
        };
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        } & {
            default: string;
        };
        collapsed: import("vue-types").VueTypeValidableDef<boolean>;
        isMobile: import("vue-types").VueTypeValidableDef<boolean>;
        logo: {
            type: PropType<import("./RenderTypings").LogoRender>;
            default: () => undefined;
        };
        logoStyle: {
            type: PropType<CSSProperties>;
            default: () => undefined;
        };
        headerTheme: {
            type: PropType<import("./typings").Theme>;
            default: string;
        };
        menuData: {
            type: PropType<import("./typings").MenuDataItem[]>;
            default: () => never[];
        };
        splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
        menuRender: {
            type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
            default: () => undefined;
        };
        menuHeaderRender: {
            type: PropType<MenuHeaderRender>;
            default: () => undefined;
        };
        menuItemRender: {
            type: PropType<MenuItemRender>;
            default: () => undefined;
        };
        subMenuItemRender: {
            type: PropType<SubMenuItemRender>;
            default: () => undefined;
        };
        rightContentRender: {
            type: PropType<RightContentRender>;
            default: () => undefined;
        };
        matchMenuKeys: {
            type: PropType<string[]>;
            default: () => never[];
        };
        onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        onCollapse: {
            type: PropType<(collapsed: boolean) => void>;
        };
        onOpenKeys: {
            type: PropType<(openKeys: WithFalse<string[]>) => void>;
        };
        onSelect: {
            type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
        };
        navTheme: {
            type: PropType<import("./typings").Theme | "realDark" | undefined>;
            default: string;
        };
        layout: {
            type: PropType<"side" | "top" | "mix">; /**
             * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
             */
            default: string;
        };
        contentWidth: {
            type: PropType<import("./typings").ContentWidth>;
            default: string;
        };
        fixedHeader: {
            type: PropType<boolean>;
            default: boolean;
        };
        fixSiderbar: {
            type: PropType<boolean>;
            default: boolean;
        };
        menu: {
            type: PropType<{
                locale?: boolean | undefined;
                defaultOpenAll?: boolean | undefined;
            }>;
            default: () => {
                locale: boolean;
            };
        };
        headerHeight: {
            type: PropType<number | undefined>;
            default: number;
        };
        title: {
            type: PropType<string>;
            default: () => string;
        };
        iconfontUrl: {
            type: PropType<string>;
            default: () => string;
        };
        primaryColor: {
            type: PropType<string>;
            default: () => string;
        };
        collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
            default: number;
        } & {
            default: number;
        };
        menuFooterRender: {
            type: PropType<MenuFooterRender>;
            default: () => undefined;
        };
        menuContentRender: {
            type: PropType<MenuContentRender>;
            default: () => undefined;
        };
        menuExtraRender: {
            type: PropType<MenuExtraRender>;
            default: () => undefined;
        };
        breakpoint: {
            type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
            default: () => boolean;
        };
        fixed: import("vue-types").VueTypeValidableDef<boolean>;
        hide: import("vue-types").VueTypeValidableDef<boolean>;
        onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
            default: (...args: any[]) => any;
        };
        mode: {
            type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
            default: string;
        };
        theme: {
            type: PropType<import("./typings").Theme | "realDark">;
            default: string;
        };
        openKeys: {
            type: PropType<WithFalse<string[]>>;
            default: () => undefined;
        };
        selectedKeys: {
            type: PropType<WithFalse<string[]>>;
            default: () => undefined;
        };
        menuProps: {
            type: PropType<Record<string, any>>;
            default: () => null;
        };
        onClick: PropType<(...args: any) => void>;
    }>>> & import("vue").ShallowUnwrapRef<{}> & {
        [x: string]: never;
    } & import("vue").MethodOptions & import("vue").ComponentCustomProperties & {};
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & import("vue").ComponentOptionsBase<Readonly<Partial<ExtractPropTypes<{
    pure: BooleanConstructor;
    loading: BooleanConstructor;
    locale: {
        type: PropType<WithFalse<FormatMessage>>;
        default(): (s: string) => string;
    };
    /**
     * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
     */
    disableMobile: {
        type: BooleanConstructor;
        required: boolean;
    };
    isChildrenLayout: {
        type: BooleanConstructor;
        required: boolean;
    };
    /**
     * 兼用 content 的 margin
     */
    disableContentMargin: {
        type: BooleanConstructor;
        required: boolean;
    };
    colSize: {
        type: NumberConstructor;
        required: boolean;
    };
    contentStyle: {
        type: PropType<CSSProperties>;
        default: () => null;
    };
    breadcrumb: {
        type: PropType<BreadcrumbProps>;
        default: () => null;
    };
    collapsedButtonRender: {
        type: PropType<WithFalse<(collapsed?: boolean | undefined) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    breadcrumbRender: {
        type: PropType<((opts: {
            route: import("./RouteContext").Route;
            params: any;
            routes: import("./RouteContext").Route[];
            paths: string[];
        }) => import("vue").VNodeChild) | undefined>;
        default: () => null;
    };
    headerContentRender: {
        type: PropType<HeaderContentRender>;
        default: () => undefined;
    };
    headerRender: {
        type: PropType<HeaderRender>;
        default: () => undefined;
    };
    footerRender: {
        type: PropType<FooterRender>;
        default: () => undefined;
    };
    tabRender: {
        type: PropType<TabRender>;
        default: () => undefined;
    };
    headerTitleRender: {
        type: PropType<WithFalse<(props: any, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("./RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<import("./typings").Theme>;
        default: string;
    };
    menuData: {
        type: PropType<import("./typings").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<RightContentRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<import("./typings").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">; /**
         * 是否禁用移动端模式，有的管理系统不需要移动端模式，此属性设置为true即可
         */
        default: string;
    };
    contentWidth: {
        type: PropType<import("./typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
    collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    menuFooterRender: {
        type: PropType<MenuFooterRender>;
        default: () => undefined;
    };
    menuContentRender: {
        type: PropType<MenuContentRender>;
        default: () => undefined;
    };
    menuExtraRender: {
        type: PropType<MenuExtraRender>;
        default: () => undefined;
    };
    breakpoint: {
        type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
        default: () => boolean;
    };
    fixed: import("vue-types").VueTypeValidableDef<boolean>;
    hide: import("vue-types").VueTypeValidableDef<boolean>;
    onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    mode: {
        type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("./typings").Theme | "realDark">;
        default: string;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    onClick: PropType<(...args: any) => void>;
}>>>, {}, {}, import("vue").ComputedOptions, import("vue").MethodOptions, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, {}, {}, string> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Plugin;
export default _default;
