import type { PropType, ExtractPropTypes } from 'vue';
import type { GlobalHeaderProps } from './components/GlobalHeader';
import type { CustomRender, WithFalse } from './typings';
import './Header.less';
import 'ant-design-vue/es/layout/style';
export declare const headerViewProps: {
    headerRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerTitleRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerContentRender: {
        type: PropType<WithFalse<(props: any) => CustomRender>>;
        default: () => undefined;
    };
    hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("./RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<import("vue").CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<import("./typings").Theme>;
        default: string;
    };
    menuData: {
        type: PropType<import("./typings").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<import("./RenderTypings").MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<import("./RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<import("./RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<import("./RenderTypings").RightContentRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: PropType<import("./RenderTypings").CollapsedButtonRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<import("./typings").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">;
        default: string;
    };
    contentWidth: {
        type: PropType<import("./typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
};
export declare type HeaderViewProps = Partial<ExtractPropTypes<typeof headerViewProps> & GlobalHeaderProps>;
export declare const HeaderView: import("vue").DefineComponent<{
    headerRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerTitleRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerContentRender: {
        type: PropType<WithFalse<(props: any) => CustomRender>>;
        default: () => undefined;
    };
    hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("./RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<import("vue").CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<import("./typings").Theme>;
        default: string;
    };
    menuData: {
        type: PropType<import("./typings").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<import("./RenderTypings").MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<import("./RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<import("./RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<import("./RenderTypings").RightContentRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: PropType<import("./RenderTypings").CollapsedButtonRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<import("./typings").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">;
        default: string;
    };
    contentWidth: {
        type: PropType<import("./typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    headerRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerTitleRender: {
        type: PropType<WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    headerContentRender: {
        type: PropType<WithFalse<(props: any) => CustomRender>>;
        default: () => undefined;
    };
    hasSiderMenu: import("vue-types").VueTypeValidableDef<boolean>;
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("./RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<import("vue").CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<import("./typings").Theme>;
        default: string;
    };
    menuData: {
        type: PropType<import("./typings").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<import("./RenderTypings").MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<import("./RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<import("./RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<import("./RenderTypings").RightContentRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: PropType<import("./RenderTypings").CollapsedButtonRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<import("./typings").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">;
        default: string;
    };
    contentWidth: {
        type: PropType<import("./typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
}>>, {
    title: string;
    navTheme: import("./typings").Theme | "realDark" | undefined;
    layout: "side" | "top" | "mix";
    contentWidth: import("./typings").ContentWidth;
    fixedHeader: boolean;
    fixSiderbar: boolean;
    menu: {
        locale?: boolean | undefined;
        defaultOpenAll?: boolean | undefined;
    };
    headerHeight: number | undefined;
    iconfontUrl: string;
    primaryColor: string;
    prefixCls: string;
    headerTheme: import("./typings").Theme;
    menuData: import("./typings").MenuDataItem[];
    siderWidth: number;
    menuItemRender: import("./RenderTypings").MenuItemRender;
    subMenuItemRender: import("./RenderTypings").SubMenuItemRender;
    logo: import("./RenderTypings").LogoRender;
    logoStyle: import("vue").CSSProperties;
    menuHeaderRender: import("./RenderTypings").MenuHeaderRender;
    collapsedButtonRender: import("./RenderTypings").CollapsedButtonRender;
    matchMenuKeys: string[];
    onMenuHeaderClick: (...args: any[]) => any;
    headerRender: WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>;
    menuRender: WithFalse<(props: import("./typings").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>;
    rightContentRender: import("./RenderTypings").RightContentRender;
    headerTitleRender: WithFalse<(props: any, defaultDom: CustomRender) => CustomRender>;
    headerContentRender: WithFalse<(props: any) => CustomRender>;
}>;
