import type { BreadcrumbProps } from './RouteContext';
import type { CustomRender, ProProps, WithFalse, MenuDataItem } from './typings';
export declare type DefaultPropRender = WithFalse<CustomRender>;
export declare type BreadcrumbRender = BreadcrumbProps['itemRender'];
export declare type HeaderContentRender = WithFalse<() => CustomRender>;
export declare type HeaderRender = WithFalse<(props: ProProps) => CustomRender>;
export declare type FooterRender = WithFalse<(props: ProProps) => CustomRender>;
export declare type TabRender = WithFalse<(props: ProProps) => CustomRender>;
export declare type RightContentRender = WithFalse<(props: ProProps) => CustomRender>;
export declare type MenuItemRender = WithFalse<(args: {
    item: MenuDataItem;
    title?: JSX.Element;
    icon?: JSX.Element;
}) => CustomRender>;
export declare type SubMenuItemRender = WithFalse<(args: {
    item: MenuDataItem;
    children?: CustomRender[];
}) => CustomRender>;
export declare type MenuHeaderRender = WithFalse<(logo: CustomRender, title: CustomRender, props?: ProProps) => CustomRender>;
export declare type MenuContentRender = WithFalse<(props: ProProps, defaultDom: CustomRender) => CustomRender>;
export declare type MenuFooterRender = WithFalse<(props?: ProProps) => CustomRender>;
export declare type MenuExtraRender = WithFalse<(props?: ProProps) => CustomRender>;
export declare type LogoRender = WithFalse<CustomRender>;
export declare type CollapsedButtonRender = WithFalse<(collapsed?: boolean) => CustomRender>;
export declare type PageHeaderRender = WithFalse<(props?: ProProps) => CustomRender>;
