import type { PropType } from 'vue';
import type { Theme, CustomRender, MenuDataItem, ProProps, WithFalse } from '../../typings';
import type { RightContentRender } from '../../RenderTypings';
declare const _default: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: PropType<import("../../RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<import("vue").CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: PropType<Theme>;
        default: string;
    };
    menuData: {
        type: PropType<MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: PropType<WithFalse<(props: ProProps, defaultDom: CustomRender) => CustomRender>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: PropType<import("../../RenderTypings").MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: PropType<import("../../RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<import("../../RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: PropType<RightContentRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: PropType<import("../../RenderTypings").CollapsedButtonRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: PropType<Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: PropType<"side" | "top" | "mix">;
        default: string;
    };
    contentWidth: {
        type: PropType<import("../../typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
};
export default _default;
