import { type ComputedRef, type VNodeChild, type PropType, type ExtractPropTypes } from 'vue';
import type { MenuMode } from './typings';
import type { MenuDataItem, FormatMessage, LayoutType, WithFalse } from '../../typings';
import type { MenuItemRender, SubMenuItemRender } from '../../RenderTypings';
import 'ant-design-vue/es/menu/style';
import './index.less';
export declare function useRootSubmenuKeys(menus: MenuDataItem[]): ComputedRef<string[]>;
export declare const baseMenuProps: {
    prefixCls: {
        type: PropType<string | undefined>;
        default: () => string;
    };
    locale: {
        type: PropType<WithFalse<FormatMessage>>;
        default: (t: string) => string;
    };
    menuData: {
        type: PropType<MenuDataItem[]>;
        default: () => never[];
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("../../typings").Theme | "realDark">;
        default: string;
    };
    layout: {
        type: PropType<LayoutType>;
        default: string;
    };
    collapsed: {
        type: PropType<boolean | undefined>;
        default: () => boolean;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    menuItemRender: {
        type: PropType<MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<SubMenuItemRender>;
        default: () => undefined;
    };
    onClick: PropType<(...args: any) => void>;
    navTheme: {
        type: PropType<import("../../typings").Theme | "realDark" | undefined>;
        default: string;
    };
    contentWidth: {
        type: PropType<import("../../typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
    splitMenus: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export declare type BaseMenuProps = ExtractPropTypes<typeof baseMenuProps>;
export declare type MenuOnSelect = {
    key: string | number;
    keyPath: string[] | number[];
    item: VNodeChild | any;
    domEvent: MouseEvent;
    selectedKeys: string[];
};
export declare type MenuOnClick = {
    item: VNodeChild;
    key: string | number;
    keyPath: string | string[] | number | number[];
};
declare const _default: import("vue").DefineComponent<{
    prefixCls: {
        type: PropType<string | undefined>;
        default: () => string;
    };
    locale: {
        type: PropType<WithFalse<FormatMessage>>;
        default: (t: string) => string;
    };
    menuData: {
        type: PropType<MenuDataItem[]>;
        default: () => never[];
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("../../typings").Theme | "realDark">;
        default: string;
    };
    layout: {
        type: PropType<LayoutType>;
        default: string;
    };
    collapsed: {
        type: PropType<boolean | undefined>;
        default: () => boolean;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    menuItemRender: {
        type: PropType<MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<SubMenuItemRender>;
        default: () => undefined;
    };
    onClick: PropType<(...args: any) => void>;
    navTheme: {
        type: PropType<import("../../typings").Theme | "realDark" | undefined>;
        default: string;
    };
    contentWidth: {
        type: PropType<import("../../typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
    splitMenus: {
        type: BooleanConstructor;
        default: boolean;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:openKeys" | "update:selectedKeys" | "click")[], "update:openKeys" | "update:selectedKeys" | "click", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: {
        type: PropType<string | undefined>;
        default: () => string;
    };
    locale: {
        type: PropType<WithFalse<FormatMessage>>;
        default: (t: string) => string;
    };
    menuData: {
        type: PropType<MenuDataItem[]>;
        default: () => never[];
    };
    mode: {
        type: PropType<MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("../../typings").Theme | "realDark">;
        default: string;
    };
    layout: {
        type: PropType<LayoutType>;
        default: string;
    };
    collapsed: {
        type: PropType<boolean | undefined>;
        default: () => boolean;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    menuItemRender: {
        type: PropType<MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<SubMenuItemRender>;
        default: () => undefined;
    };
    onClick: PropType<(...args: any) => void>;
    navTheme: {
        type: PropType<import("../../typings").Theme | "realDark" | undefined>;
        default: string;
    };
    contentWidth: {
        type: PropType<import("../../typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: PropType<number | undefined>;
        default: number;
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
    splitMenus: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
    "onUpdate:openKeys"?: ((...args: any[]) => any) | undefined;
    "onUpdate:selectedKeys"?: ((...args: any[]) => any) | undefined;
}, {
    title: string;
    navTheme: import("../../typings").Theme | "realDark" | undefined;
    layout: LayoutType;
    contentWidth: import("../../typings").ContentWidth;
    fixedHeader: boolean;
    fixSiderbar: boolean;
    menu: {
        locale?: boolean | undefined;
        defaultOpenAll?: boolean | undefined;
    };
    headerHeight: number | undefined;
    iconfontUrl: string;
    primaryColor: string;
    splitMenus: boolean;
    prefixCls: string | undefined;
    menuData: MenuDataItem[];
    locale: WithFalse<FormatMessage>;
    collapsed: boolean | undefined;
    selectedKeys: WithFalse<string[]>;
    openKeys: WithFalse<string[]>;
    theme: import("../../typings").Theme | "realDark";
    mode: MenuMode;
    menuProps: Record<string, any>;
    menuItemRender: MenuItemRender;
    subMenuItemRender: SubMenuItemRender;
}>;
export default _default;
