import { type FunctionalComponent, type ExtractPropTypes, type PropType, type CSSProperties } from 'vue';
import 'ant-design-vue/es/layout/style';
import 'ant-design-vue/es/menu/style';
import type { WithFalse, CustomRender } from '../../typings';
import './index.less';
import type { MenuHeaderRender, MenuFooterRender, MenuContentRender, MenuExtraRender, CollapsedButtonRender, LogoRender } from '../../RenderTypings';
export declare type PrivateSiderMenuProps = {
    matchMenuKeys?: string[];
};
export declare const siderMenuProps: {
    logo: {
        type: PropType<LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: PropType<CSSProperties>;
        default: () => undefined;
    };
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    headerHeight: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    menuHeaderRender: {
        type: PropType<MenuHeaderRender>;
        default: () => undefined;
    };
    menuFooterRender: {
        type: PropType<MenuFooterRender>;
        default: () => undefined;
    };
    menuContentRender: {
        type: PropType<MenuContentRender>;
        default: () => undefined;
    };
    menuExtraRender: {
        type: PropType<MenuExtraRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: PropType<CollapsedButtonRender>;
        default: () => undefined;
    };
    breakpoint: {
        type: PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
        default: () => boolean;
    };
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    fixed: import("vue-types").VueTypeValidableDef<boolean>;
    hide: import("vue-types").VueTypeValidableDef<boolean>;
    matchMenuKeys: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: PropType<(openKeys: WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: PropType<(selectedKeys: WithFalse<string[]>) => void>;
    };
    prefixCls: {
        type: PropType<string | undefined>;
        default: () => string;
    };
    locale: {
        type: PropType<WithFalse<import("../../typings").FormatMessage>>;
        default: (t: string) => string;
    };
    menuData: {
        type: PropType<import("../../typings").MenuDataItem[]>;
        default: () => never[];
    };
    mode: {
        type: PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
        default: string;
    };
    theme: {
        type: PropType<import("../../typings").Theme | "realDark">;
        default: string;
    };
    layout: {
        type: PropType<import("../../typings").LayoutType>;
        default: string;
    };
    collapsed: {
        type: PropType<boolean | undefined>;
        default: () => boolean;
    };
    openKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: PropType<WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: PropType<Record<string, any>>;
        default: () => null;
    };
    menuItemRender: {
        type: PropType<import("../../RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: PropType<import("../../RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    onClick: PropType<(...args: any) => void>;
    navTheme: {
        type: PropType<import("../../typings").Theme | "realDark" | undefined>;
        default: string;
    };
    contentWidth: {
        type: PropType<import("../../typings").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    title: {
        type: PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: PropType<string>;
        default: () => string;
    };
};
export declare type SiderMenuProps = Partial<ExtractPropTypes<typeof siderMenuProps>>;
export declare const defaultRenderLogo: (logo?: CustomRender, logoStyle?: CSSProperties | undefined) => CustomRender;
export declare const defaultRenderLogoAndTitle: (props: SiderMenuProps, renderKey?: string | undefined) => CustomRender | null;
export declare const defaultRenderCollapsedButton: (collapsed?: boolean | undefined) => CustomRender;
declare const SiderMenu: FunctionalComponent<SiderMenuProps>;
export default SiderMenu;
