import { type FunctionalComponent, type ExtractPropTypes } from 'vue';
import type { SiderMenuProps } from '../SiderMenu/SiderMenu';
import './index.less';
export declare const topNavHeaderProps: {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    collapsed: import("vue-types").VueTypeValidableDef<boolean>;
    isMobile: import("vue-types").VueTypeValidableDef<boolean>;
    logo: {
        type: import("vue").PropType<import("../../RenderTypings").LogoRender>;
        default: () => undefined;
    };
    logoStyle: {
        type: import("vue").PropType<import("vue").CSSProperties>;
        default: () => undefined;
    };
    headerTheme: {
        type: import("vue").PropType<import("../..").Theme>;
        default: string;
    };
    menuData: {
        type: import("vue").PropType<import("../..").MenuDataItem[]>;
        default: () => never[];
    };
    splitMenus: import("vue-types").VueTypeValidableDef<boolean>;
    menuRender: {
        type: import("vue").PropType<import("../..").WithFalse<(props: import("../..").ProProps, defaultDom: import("@ant-design-vue/pro-utils").VueNode) => import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    menuHeaderRender: {
        type: import("vue").PropType<import("../../RenderTypings").MenuHeaderRender>;
        default: () => undefined;
    };
    menuItemRender: {
        type: import("vue").PropType<import("../../RenderTypings").MenuItemRender>;
        default: () => undefined;
    };
    subMenuItemRender: {
        type: import("vue").PropType<import("../../RenderTypings").SubMenuItemRender>;
        default: () => undefined;
    };
    rightContentRender: {
        type: import("vue").PropType<import("../../RenderTypings").RightContentRender>;
        default: () => undefined;
    };
    collapsedButtonRender: {
        type: import("vue").PropType<import("../../RenderTypings").CollapsedButtonRender>;
        default: () => undefined;
    };
    matchMenuKeys: {
        type: import("vue").PropType<string[]>;
        default: () => never[];
    };
    onMenuHeaderClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    onCollapse: {
        type: import("vue").PropType<(collapsed: boolean) => void>;
    };
    onOpenKeys: {
        type: import("vue").PropType<(openKeys: import("../..").WithFalse<string[]>) => void>;
    };
    onSelect: {
        type: import("vue").PropType<(selectedKeys: import("../..").WithFalse<string[]>) => void>;
    };
    navTheme: {
        type: import("vue").PropType<import("../..").Theme | "realDark" | undefined>;
        default: string;
    };
    layout: {
        type: import("vue").PropType<"side" | "top" | "mix">;
        default: string;
    };
    contentWidth: {
        type: import("vue").PropType<import("../..").ContentWidth>;
        default: string;
    };
    fixedHeader: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    fixSiderbar: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    menu: {
        type: import("vue").PropType<{
            locale?: boolean | undefined;
            defaultOpenAll?: boolean | undefined;
        }>;
        default: () => {
            locale: boolean;
        };
    };
    headerHeight: {
        type: import("vue").PropType<number | undefined>;
        default: number;
    };
    title: {
        type: import("vue").PropType<string>;
        default: () => string;
    };
    iconfontUrl: {
        type: import("vue").PropType<string>;
        default: () => string;
    };
    primaryColor: {
        type: import("vue").PropType<string>;
        default: () => string;
    };
    siderWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    collapsedWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
    menuFooterRender: {
        type: import("vue").PropType<import("../../RenderTypings").MenuFooterRender>;
        default: () => undefined;
    };
    menuContentRender: {
        type: import("vue").PropType<import("../../RenderTypings").MenuContentRender>;
        default: () => undefined;
    };
    menuExtraRender: {
        type: import("vue").PropType<import("../../RenderTypings").MenuExtraRender>;
        default: () => undefined;
    };
    breakpoint: {
        type: import("vue").PropType<false | "xs" | "sm" | "md" | "lg" | "xl" | "xxl" | undefined>;
        default: () => boolean;
    };
    fixed: import("vue-types").VueTypeValidableDef<boolean>;
    hide: import("vue-types").VueTypeValidableDef<boolean>;
    onMenuClick: import("vue-types").VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    };
    locale: {
        type: import("vue").PropType<import("../..").WithFalse<import("../..").FormatMessage>>;
        default: (t: string) => string;
    };
    mode: {
        type: import("vue").PropType<import("ant-design-vue/es/menu/src/interface").MenuMode>;
        default: string;
    };
    theme: {
        type: import("vue").PropType<import("../..").Theme | "realDark">;
        default: string;
    };
    openKeys: {
        type: import("vue").PropType<import("../..").WithFalse<string[]>>;
        default: () => undefined;
    };
    selectedKeys: {
        type: import("vue").PropType<import("../..").WithFalse<string[]>>;
        default: () => undefined;
    };
    menuProps: {
        type: import("vue").PropType<Record<string, any>>;
        default: () => null;
    };
    onClick: import("vue").PropType<(...args: any) => void>;
};
export declare type TopNavHeaderProps = Partial<ExtractPropTypes<typeof topNavHeaderProps>> & Partial<SiderMenuProps>;
export declare const TopNavHeader: FunctionalComponent<TopNavHeaderProps>;
