import { type CSSProperties, type PropType, type ExtractPropTypes } from 'vue';
export declare type FontStyle = 'none' | 'normal' | 'italic' | 'oblique';
export declare type FontWeight = 'normal' | 'light' | 'weight' | number;
export declare const waterMarkProps: {
    /** ClassName 前缀 */
    prefixCls: StringConstructor;
    /** 水印样式 */
    markStyle: PropType<CSSProperties>;
    /** 水印类名 */
    markClassName: StringConstructor;
    /** 水印之间的水平间距 */
    gapX: NumberConstructor;
    /** 水印之间的垂直间距 */
    gapY: NumberConstructor;
    /** 追加的水印元素的z-index */
    zIndex: NumberConstructor;
    /** 水印的宽度 */
    width: NumberConstructor;
    /** 水印的高度 */
    height: NumberConstructor;
    /** 水印在canvas 画布上绘制的垂直偏移量，正常情况下，水印绘制在中间位置, 即 offsetTop = gapY / 2 */
    offsetTop: NumberConstructor;
    /** 水印在canvas 画布上绘制的水平偏移量, 正常情况下，水印绘制在中间位置, 即 offsetTop = gapX / 2 */
    offsetLeft: NumberConstructor;
    /** 水印绘制时，旋转的角度，单位 ° */
    rotate: NumberConstructor;
    /** 高清印图片源, 为了高清屏幕显示，建议使用 2倍或3倍图，优先使用图片渲染水印。 */
    image: StringConstructor;
    /** 水印文字内容 */
    content: StringConstructor;
    /** 文字颜色 */
    fontColor: StringConstructor;
    /** 文字样式 */
    fontStyle: PropType<FontStyle>;
    /** 文字族 */
    fontFamily: StringConstructor;
    /** 文字粗细 */
    fontWeight: PropType<FontWeight>;
    /** 文字大小 */
    fontSize: PropType<string | number>;
};
export declare type WaterMarkProps = Partial<ExtractPropTypes<typeof waterMarkProps>>;
declare const WaterMark: import("vue").DefineComponent<{
    /** ClassName 前缀 */
    prefixCls: StringConstructor;
    /** 水印样式 */
    markStyle: PropType<CSSProperties>;
    /** 水印类名 */
    markClassName: StringConstructor;
    /** 水印之间的水平间距 */
    gapX: NumberConstructor;
    /** 水印之间的垂直间距 */
    gapY: NumberConstructor;
    /** 追加的水印元素的z-index */
    zIndex: NumberConstructor;
    /** 水印的宽度 */
    width: NumberConstructor;
    /** 水印的高度 */
    height: NumberConstructor;
    /** 水印在canvas 画布上绘制的垂直偏移量，正常情况下，水印绘制在中间位置, 即 offsetTop = gapY / 2 */
    offsetTop: NumberConstructor;
    /** 水印在canvas 画布上绘制的水平偏移量, 正常情况下，水印绘制在中间位置, 即 offsetTop = gapX / 2 */
    offsetLeft: NumberConstructor;
    /** 水印绘制时，旋转的角度，单位 ° */
    rotate: NumberConstructor;
    /** 高清印图片源, 为了高清屏幕显示，建议使用 2倍或3倍图，优先使用图片渲染水印。 */
    image: StringConstructor;
    /** 水印文字内容 */
    content: StringConstructor;
    /** 文字颜色 */
    fontColor: StringConstructor;
    /** 文字样式 */
    fontStyle: PropType<FontStyle>;
    /** 文字族 */
    fontFamily: StringConstructor;
    /** 文字粗细 */
    fontWeight: PropType<FontWeight>;
    /** 文字大小 */
    fontSize: PropType<string | number>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    /** ClassName 前缀 */
    prefixCls: StringConstructor;
    /** 水印样式 */
    markStyle: PropType<CSSProperties>;
    /** 水印类名 */
    markClassName: StringConstructor;
    /** 水印之间的水平间距 */
    gapX: NumberConstructor;
    /** 水印之间的垂直间距 */
    gapY: NumberConstructor;
    /** 追加的水印元素的z-index */
    zIndex: NumberConstructor;
    /** 水印的宽度 */
    width: NumberConstructor;
    /** 水印的高度 */
    height: NumberConstructor;
    /** 水印在canvas 画布上绘制的垂直偏移量，正常情况下，水印绘制在中间位置, 即 offsetTop = gapY / 2 */
    offsetTop: NumberConstructor;
    /** 水印在canvas 画布上绘制的水平偏移量, 正常情况下，水印绘制在中间位置, 即 offsetTop = gapX / 2 */
    offsetLeft: NumberConstructor;
    /** 水印绘制时，旋转的角度，单位 ° */
    rotate: NumberConstructor;
    /** 高清印图片源, 为了高清屏幕显示，建议使用 2倍或3倍图，优先使用图片渲染水印。 */
    image: StringConstructor;
    /** 水印文字内容 */
    content: StringConstructor;
    /** 文字颜色 */
    fontColor: StringConstructor;
    /** 文字样式 */
    fontStyle: PropType<FontStyle>;
    /** 文字族 */
    fontFamily: StringConstructor;
    /** 文字粗细 */
    fontWeight: PropType<FontWeight>;
    /** 文字大小 */
    fontSize: PropType<string | number>;
}>>, {}>;
export default WaterMark;
