import { type InjectionKey, type WatchStopHandle, type ToRefs } from 'vue';
export interface MenuState {
    collapsed?: boolean | false;
    selectedKeys?: string[];
    openKeys?: string[];
}
export declare type MenuHandles = {
    setCollapsed: (collapsed: boolean) => void;
    setSelectedKeys: (selectedKeys: string[]) => void;
    setOpenKeys: (openKeys: string[]) => void;
};
export declare type MenuStated = Required<MenuState>;
export declare type MenuStateWatched = [MenuStated, MenuHandles, WatchStopHandle];
export declare const MenuStateKey: InjectionKey<ToRefs<MenuStated> & MenuHandles>;
export declare function useMenu({ collapsed, openKeys, selectedKeys }: MenuState): MenuStateWatched;
export declare function useMenuState(): Readonly<ToRefs<MenuStated>> & MenuHandles;
