import type { RouteRecord, RouteRecordRaw } from 'vue-router';
import type { MenuDataItem } from '../typings';
import { getSlot, getSlotVNode } from '@ant-design-vue/pro-utils';
export { default as isUrl } from './isUrl';
export { default as isImg } from './isImg';
export { default as isNil } from './isNil';
export { getSlot, getSlotVNode };
export declare function clearMenuItem(menusData: RouteRecord[] | RouteRecordRaw[]): RouteRecordRaw[];
export declare function flatMap(menusData: RouteRecord[]): MenuDataItem[];
export declare function getMenuFirstChildren(menus: MenuDataItem[], key?: string): MenuDataItem[];
export declare const PropRenderType: {
    type: (BooleanConstructor | FunctionConstructor)[];
    default: () => undefined;
};
export interface Attrs {
    [key: string]: string;
}
export declare type StringKeyOf<T> = Extract<keyof T, string>;
export declare type Fn = () => void;
export declare type EventHandlers<E> = {
    [K in StringKeyOf<E>]?: E[K] extends Fn ? E[K] : (payload: E[K]) => void;
};
/**
 * Creates an object composed of the picked object properties.
 * @param obj The source object
 * @param paths The property paths to pick
 */
export declare function pick<T, K extends keyof T>(obj: T, paths: K[]): Pick<T, K>;
